<?php

    // Only process POST reqeusts.
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        // Get the form fields and remove whitespace.
        $name = strip_tags(trim($_POST["name"]));
        $name = str_replace(array("\r","\n"),array(" "," "),$name);
        $email = filter_var(trim($_POST["email"]), FILTER_SANITIZE_EMAIL);
        $number = trim($_POST["number"]);
        $course = trim($_POST["course"]);

        // Check that data was sent to the mailer.
        if ( empty($name) OR empty($course) OR empty($number) OR !filter_var($email, FILTER_VALIDATE_EMAIL)) {
            // Set a 400 (bad request) response code and exit.
            http_response_code(400);
            echo "Please complete the form and try again.";
            exit;
        }

        // Set the recipient email address.
        // FIXME: Update this to your desired email address.
        $recipient = "cfri.rolfer.development@gmail.com";

        // Build the email content.
        $email_content = "SOLICITUD DE INSCRIPCION mediante WEB: $name\n";

        // Build the email headers.
        $email_headers = "From: $name <$email>";
        $email_headers = "Nombre: $name\n";
        $email_headers .= "Email: $email\n";
        $email_headers .= "Telefono: $number\n";
        $email_headers .= "Curso: $course\n\n";
        $email_headers .= "CONTACTARSE CON EL POSTULANTE INMEDIATAMENTE.\n";
		
        // Send the email.
        if (mail($recipient, $email_content, $email_headers)) {
            // Set a 200 (okay) response code.
            http_response_code(200);
            echo "Thank You! Your message has been sent.";
        } else {
            // Set a 500 (internal server error) response code.
            http_response_code(500);
            echo "Oops! Something went wrong and we couldn't send your message.";
        }

    } else {
        // Not a POST request, set a 403 (forbidden) response code.
        http_response_code(403);
        echo "There was a problem with your submission, please try again.";
    }

?>
